<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bgColor"
    xmlns:tools="http://schemas.android.com/tools">

    <de.hdodenhof.circleimageview.CircleImageView xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/profile_image"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="@dimen/marginMediumLarge"
        android:src="@mipmap/ic_profile_placeholder_dashboard"
        app:civ_border_color="@color/bgColor"
        app:civ_border_width="1dp"
        app:layout_goneMarginLeft="2dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="@id/view" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_search"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/marginSmall"
        android:padding="9dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="@dimen/marginMediumLarge"
        android:background="@drawable/bc_dashboard_search"
        app:layout_constraintLeft_toRightOf="@+id/profile_image"
        app:layout_constraintRight_toLeftOf="@+id/notification"
        app:layout_constraintBottom_toBottomOf="@+id/profile_image"
        app:layout_constraintTop_toTopOf="@+id/profile_image">

        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:src="@drawable/ic_search_home"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:text="Search"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@+id/iv_search"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:layout_marginRight="10dp"
            android:src="@drawable/ic_qr_home"
            android:visibility="visible"
            android:padding="@dimen/dp_5"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/notification"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_bell_white"
        app:layout_constraintBottom_toBottomOf="@+id/profile_image"
        app:layout_constraintLeft_toRightOf="@id/cl_search"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_marginRight="@dimen/marginBigLarge20"
        app:layout_constraintTop_toTopOf="@+id/profile_image" />


    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/semi_gray"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_search"
        app:layout_constraintVertical_bias=".02"></View>

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipeLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view"
        >
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            >

            <TextView
                android:id="@+id/tv_req"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="3dp"
                android:text="Requests"
                android:textColor="@color/white"
                android:textSize="16dp"
                android:visibility="gone"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintLeft_toLeftOf="parent" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_request_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layoutDirection="rtl"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_req">

            </androidx.recyclerview.widget.RecyclerView>

            <TextView
                android:id="@+id/tv_updates"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="Updates"
                android:textColor="@color/white"
                android:textSize="18dp"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rv_request_list" />

            <ImageView
                android:id="@+id/iv_updownarrow_updates"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_expand_arrow_home_24"
                tools:layout_editor_absoluteX="86dp"
                app:layout_constraintTop_toTopOf="@id/tv_updates"
                android:layout_marginLeft="10dp"
                android:visibility="gone"

                app:layout_constraintLeft_toRightOf="@id/tv_updates"
                tools:layout_editor_absoluteY="307dp" />

            <ScrollView
                android:id="@+id/scrollView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fillViewport="true"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_updates">

                <LinearLayout
                    android:id="@+id/ll_updates"
                    android:layout_width="match_parent"
                    android:orientation="vertical"
                    android:visibility="gone"
                    android:layout_height="120dp">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_updates"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="5dp"
                        android:scrollbars="vertical"
                        android:visibility="visible" />
                </LinearLayout>
            </ScrollView>
            <TextView
                android:id="@+id/tv_news_feeds"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="News Feeds"
                android:textColor="@color/white"
                android:textSize="18dp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@id/scrollView" />

            <ImageView
                android:id="@+id/iv_updownnews_updates"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_collaps_arrow_home_24"
                app:layout_constraintTop_toTopOf="@id/tv_news_feeds"
                android:layout_marginLeft="10dp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_news_feeds"
                app:layout_constraintLeft_toRightOf="@id/tv_news_feeds"
                />


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_news_feeds"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="5dp"
                android:visibility="visible"
                android:paddingBottom="50dp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_news_feeds" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
</androidx.constraintlayout.widget.ConstraintLayout>